<template>
  <div class="colleague-container">
    <div class="colleague" v-if="colleague && colleague.name">
      <picture>
        <img class="profile" :src="this.$backend + 'images/' + colleague.image" :alt="colleague.name + ' profile picture'">
      </picture>
      <div class="colleague-name">
        {{ colleague.name }}
      </div>
      <div v-if="colleague.city" class="colleague-office">
        Office: {{ colleague.city }} <span v-if="colleague.country">{{ colleague.country }}</span>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Colleague',
  props: [
    'colleague'
  ]
}
</script>

<style scoped lang="scss">
.colleague-container {
  box-shadow: 2px 4px 5px rgba(0,0,0,0.2);
  background: #fff;
  max-width: 200px;
  transition: transform .2s;
  &:hover {
    transform: scale(1.1);
  }
  .colleague {
    padding: 10px;
    font-size: 0.8rem;
  }
}
picture {
  margin-bottom: 8px;
  width: 100%;
  display: flex;
  justify-content: center;
}
.profile {
  width: 100%;
}
</style>
